Subject: Re: linux-next: Fixes tag needs some work in the net-next tree

From: Stefano Brivio <[email-masked]>
Date: Wed, 20 Feb 2019 20:59:10 +0100

On Wed, 20 Feb 2019 11:02:01 -0800 (PST)
David Miller <[email-masked]> wrote:

> From: Jiri Pirko <[email-masked]>
> Date: Wed, 20 Feb 2019 09:36:11 +0100
> 
> > Would be good to have some robot checking "Fixes" sanity...  
> 
> I want to add a script to my trees that locally do it for me but the
> backlog for patch review for me is so huge that I never get to "fun"
> tasks like that....

If it helps, this is what I use after being bitten once:

#!/bin/sh

[ ${#} -ne 2 ] && echo "Usage: %0 PATCH_FILE GIT_TREE" && exit 1
grep "^Fixes: " "${1}" | while read -r f; do
	sha="$(echo "${f}" | cut -d' ' -f2)"
	if [ -z "${sha}" ] || [ "${f}" != "$(git -C "${2}" show -s --abbrev=12 --pretty=format:"Fixes: %h (\"%s\")" "${sha}" 2>/dev/null)" ]; then
		echo "Bad tag: ${f}" && exit 1
	fi
done

-- 
Stefano